=== src/module/remote/CMakeLists.txt ===
set(FCITX_REMOTE_SOURCES
  remote.c)
fcitx_add_addon_full(remote-module
  SOURCES ${FCITX_REMOTE_SOURCES})
