=== debian/changelog ===
fcitx (1:4.2.8.5-6ubuntu3) vivid; urgency=medium

  * debian/patches/add-kf5-kcm-support.patch:
    - Upstream patch for KF5 KCM support

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 26 Mar 2015 04:38:24 +0800

fcitx (1:4.2.8.5-6ubuntu2) vivid; urgency=medium

  * Add conffile handling for LP: #1431257.

 -- Aron Xu <happyaron@ubuntu.com>  Sat, 14 Mar 2015 09:27:53 +0800

fcitx (1:4.2.8.5-6ubuntu1) vivid; urgency=medium

  * Avoid unwanted autostart (LP: #1431257)

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 13 Mar 2015 05:25:02 +0800

fcitx (1:4.2.8.5-6) experimental; urgency=medium

  * Remove empty lines
  * Add libpresage1 to Depends of fcitx-modules

 -- Aron Xu <aron@debian.org>  Thu, 12 Feb 2015 15:26:49 +0800

fcitx (1:4.2.8.5-5) experimental; urgency=medium

  * Declare fcitx-libs-* packages as transitional
  * Move table files to arch:all
  * Remove NoDisplay patch
  * Update dep5 link in debian/copyright

 -- Aron Xu <aron@debian.org>  Sun, 08 Feb 2015 22:51:37 +0800

fcitx (1:4.2.8.5-4) experimental; urgency=low

  * Add proper Breaks and Replaces (LP: #1387382)

 -- Aron Xu <aron@debian.org>  Thu, 30 Oct 2014 07:22:35 +0800

fcitx (1:4.2.8.5-3) experimental; urgency=low

  * Add libfcitx-core0, libfcitx-config4, libfcitx-utils0, libfcitx-qt0, and
    libfcitx-gclient0, existing fcitx-libs-* package are now metapackages.
  * Update symbols file for libraries.
  * Detect for GIR MultiArch status (Closes: #762832)
  * Enable all hardening features.
  * Enable parallel build.
  * Disable building of static libraries.
  * Update copyright file for better standard compliance.
  * Std-ver: 3.9.5 -> 3.9.6

 -- Aron Xu <aron@debian.org>  Sun, 26 Oct 2014 02:21:19 +0800

fcitx (1:4.2.8.5-1) unstable; urgency=low

  * New upstream release.
  * 0004-implement-set-im-by-name-if-there-is-no-focused-wind.patch:
    - Dropped, merged upstream.

 -- Aron Xu <aron@debian.org>  Sat, 20 Sep 2014 05:10:52 +0800

fcitx (1:4.2.8.4-3) unstable; urgency=medium

  * 0004-implement-set-im-by-name-if-there-is-no-focused-wind.patch:
    - if the focus comes back to the original ic, the im will be set
      eventually. this can be useful if GUI switcher grab the focus.

 -- Aron Xu <aron@debian.org>  Sat, 23 Aug 2014 13:50:50 +0800

fcitx (1:4.2.8.4-2) unstable; urgency=medium

  * Fix FTBFS with GCC 4.9 (Closes: #746844)
  * Force to use opencc

 -- Aron Xu <aron@debian.org>  Mon, 02 Jun 2014 00:04:38 +0800

fcitx (1:4.2.8.4-1) unstable; urgency=low

  * New upstream bug fix release

 -- Aron Xu <aron@debian.org>  Thu, 29 May 2014 17:40:38 +0800
