=== debian/control ===
# debian/control is generated automatically from control.in by running the clean target
Source: fcitx
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               gobject-introspection,
               iso-codes,
               libcairo2-dev (>= 1.0),
               libdbus-1-dev (>= 1.1.0),
               libenchant-dev,
               libgettextpo-dev,
               libgirepository1.0-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               libicu-dev,
               libkvm-dev [kfreebsd-any],
               liblua5.2-dev | liblua5.1-0-dev,
               libopencc-dev (>= 0.1.1~),
               libpango1.0-dev (>= 1.0),
               libpresage-dev,
               libpthread-stubs0-dev,
               libqt4-dev,
               libxfixes-dev,
               libxkbfile-dev,
               libxml2-dev,
               x11proto-xinerama-dev
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/fcitx/
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx.git

Package: fcitx
Architecture: all
Depends: fcitx-bin, fcitx-data, fcitx-modules, ${misc:Depends}
Recommends: fcitx-config-gtk | kde-config-fcitx,
            fcitx-frontend-all | fcitx-frontend-fbterm,
            fcitx-ui-classic | fcitx-ui-light,
            im-config (>= 0.5) | im-switch
Suggests: fcitx-m17n, fcitx-tools
Description: Flexible Input Method Framework
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This metapackage pulls in a set of components recommended for most desktop
 users.

Package: fcitx-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fcitx-data, fcitx-modules
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - essential binaries
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the essential executable binaries. If you are
 looking for a working input experience, please install the package
 "fcitx" instead.

Package: fcitx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fcitx-bin
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - essential data files
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the essential data files. If you are looking for a
 working input experience, please install the package "fcitx" instead.

Package: fcitx-libs
Architecture: all
Section: oldlibs
Depends: libfcitx-config4 (>= ${source:Version}),
         libfcitx-core0 (>= ${source:Version}),
         libfcitx-utils0 (>= ${source:Version}),
         ${misc:Depends}
Recommends: libfcitx-gclient0 (>= ${source:Version}),
            libfcitx-qt0 (>= ${source:Version}),
            libopencc1 (>= 0.3.0)
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libfcitx-config4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - configuration support library
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-config - support library for Fcitx configurations

Package: libfcitx-core0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - library of core funtions
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-core - core functions of Fcitx

Package: libfcitx-utils0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - utility support library
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-utils - utility support library for Fcitx

Package: fcitx-libs-gclient
Architecture: all
Section: oldlibs
Depends: libfcitx-gclient0 (>= ${source:Version}), ${misc:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.7)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.7)
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libfcitx-gclient0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}),
          fcitx-libs-gclient (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}),
        fcitx-libs-gclient (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - D-Bus client library for Glib
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the following library:
  * libfcitx-gclient - D-Bus client library for Glib

Package: fcitx-libs-qt
Architecture: all
Section: oldlibs
Depends: libfcitx-qt0 (>= ${source:Version}), ${misc:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.7)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.7)
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libfcitx-qt0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - Meta package for Qt library
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the following library:
  * libfcitx-qt - D-Bus client library for Qt

Package: fcitx-libs-dev
Architecture: any
Section: libdevel
Depends: fcitx-bin (>= ${source:Version}),
         libfcitx-config4 (= ${binary:Version}),
         libfcitx-core0 (= ${binary:Version}),
         libfcitx-gclient0 (= ${binary:Version}),
         libfcitx-qt0 (= ${binary:Version}),
         libfcitx-utils0 (= ${binary:Version}),
         ${misc:Depends}
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - library development files
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the library development files.

Package: gir1.2-fcitx-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
