=== debian/changelog ===
fcitx (1:4.2.9-3) unstable; urgency=medium

  * Add conffile handling

 -- Aron Xu <aron@debian.org>  Wed, 23 Sep 2015 22:36:14 +0800

fcitx (1:4.2.9-2) unstable; urgency=medium

  * Move .desktop file to avoid unexpected autostart

 -- Aron Xu <aron@debian.org>  Sun, 20 Sep 2015 17:52:24 +0800

fcitx (1:4.2.9-1) unstable; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Wed, 03 Jun 2015 04:08:45 +0800
