=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
+               extra-cmake-modules,
                gobject-introspection,
                iso-codes,
+               qtbase5-dev,
                libcairo2-dev (>= 1.0),
-               libdbus-1-dev (>= 1.1.0),
                libenchant-dev,
                libgettextpo-dev,
                libgirepository1.0-dev,
@@ -21,10 +22,9 @@
                libopencc-dev (>= 0.1.1~),
                libpango1.0-dev (>= 1.0),
                libpresage-dev,
-               libpthread-stubs0-dev,
                libqt4-dev,
-               libxfixes-dev,
                libxkbfile-dev,
+               libxkbcommon-dev (>= 0.5.0~),
                libxml2-dev,
                x11proto-xinerama-dev
 Standards-Version: 3.9.6
